Welcome to Byte Academy
=======================

We've put together this program to get you all on the same footing before entering. You will be learning some basic git, Unix, JavaScript, and Python.  
Our goal is for you hit the ground running when you come to campus.

The resources will build upon each other to whatever extent they can.  
A lot of it is horizontal to other skills. So, if you are stuck on something, feel free to move on and come back to it later.

## Step 1

Make a [GitHub](https://github.com/) account.

Pick a text editor to use. We recommend [Sublime](http://www.sublimetext.com/) or [Atom](https://atom.io/).

Make sure [Python 3.4.2](https://wiki.python.org/moin/BeginnersGuide/Download) and [Node](http://nodejs.org/download/) are installed on your computer

## Step 2

Do these tutorials:  
* [Command Line Crash Course](http://cli.learncodethehardway.org/book/)
* [Try git](try.github.io)
* [Git Immersion](http://gitimmersion.com/)
* [Code Academy HTML/CSS](http://www.codecademy.com/en/tracks/web).

## Step 3

Work through the practice problems provided. We recommend starting with front end, moving to JS, and finishing with Python.

Here are some resources to help you on assignments, as well has good reads.

#### Front End

* [Guide to wireframing](http://webdesign.tutsplus.com/articles/a-beginners-guide-to-wireframing--webdesign-7399)  
* [A compilation of wireframing articles](http://www.gracesmith.co.uk/get-wireframing-the-all-in-one-guide/)  

#### JavaScript

* [Javascript Loops](http://www.w3schools.com/js/js_loop_for.asp)
* [Javascript Object Literals](http://www.w3schools.com/js/js_objects.asp)
* [Javascript Functions](http://www.w3schools.com/js/js_functions.asp)
* [Javascript Constructors and the new keyword](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/new)
* [Read through the design patterns in this book](http://addyosmani.com/resources/essentialjsdesignpatterns/book/#designpatternsjavascript)
* [Javascript Constructor and Prototype](http://pivotallabs.com/javascript-constructors-prototypes-and-the-new-keyword/)
* [JQuery API Docs](http://api.jquery.com/)
* [jQuery Best Practices](http://gregfranko.com/jquery-best-practices/#/)

#### Python

* [Python Cheatsheet](http://perso.limsi.fr/pointal/_media/python:cours:mementopython3-english.pdf)

#### Miscellaneous

* [Rubular (for regex)](http://www.rubular.com)
* [Wikipedia on pair programming](http://en.wikipedia.org/wiki/Pair_programming)

#### Good Videos

* [Simplicity Matters](https://www.youtube.com/watch?v=rI8tNMsozo0)
